Replace the order-status notification rules for a store connection
curl --request PUT \
--url https://api.pineyard.ai/crm/connections/{id}/order-notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": [
{
"templateId": "<string>",
"presetId": "<string>",
"enabled": true,
"delayMinutes": 0
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: [{templateId: '<string>', presetId: '<string>', enabled: true, delayMinutes: 0}]
})
};
fetch('https://api.pineyard.ai/crm/connections/{id}/order-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/connections/{id}/order-notifications"
payload = { "rules": [
{
"templateId": "<string>",
"presetId": "<string>",
"enabled": True,
"delayMinutes": 0
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"rules": [
{
"id": "<string>",
"trigger": "ORDER_PLACED",
"templateId": "<string>",
"enabled": true,
"delayMinutes": 10080,
"templateStatus": "<string>",
"templatePurpose": "<string>"
}
],
"recentOrderVolume": 1
}CRM
Replace the order-status notification rules for a store connection
PUT
/
crm
/
connections
/
{id}
/
order-notifications
Replace the order-status notification rules for a store connection
curl --request PUT \
--url https://api.pineyard.ai/crm/connections/{id}/order-notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": [
{
"templateId": "<string>",
"presetId": "<string>",
"enabled": true,
"delayMinutes": 0
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: [{templateId: '<string>', presetId: '<string>', enabled: true, delayMinutes: 0}]
})
};
fetch('https://api.pineyard.ai/crm/connections/{id}/order-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/connections/{id}/order-notifications"
payload = { "rules": [
{
"templateId": "<string>",
"presetId": "<string>",
"enabled": True,
"delayMinutes": 0
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"rules": [
{
"id": "<string>",
"trigger": "ORDER_PLACED",
"templateId": "<string>",
"enabled": true,
"delayMinutes": 10080,
"templateStatus": "<string>",
"templatePurpose": "<string>"
}
],
"recentOrderVolume": 1
}Required scope:
crm.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Body
application/json
Maximum array length:
16Show child attributes
Show child attributes

